let pointMin =5,pointMax =18;
let gapText =13;
let startYear =2008;

function drawData(rowNum){
    for(var i =0; i<numCols-4;i++){
        let pointSize = map(dataMatrix[rowNum][i],albumMin[rowNum],albumMax[rowNum],pointMin,pointMax);
        //xPos - year
        let xPos = floor(i/12)*cellWidth;
        //yPos - checkout numbers
        let yPos = map(dataMatrix[rowNum][i],albumMin[rowNum],albumMax[rowNum],mapMin,mapMax);
        //zPos - month
        let zPos = i%12*cellDepth;

        push();
        translate(xPos - boxSize/2,yPos,-zPos+boxSize/2);
        stroke(color[rowNum]);
        strokeWeight(pointSize);
        point(0,0,0);
        pop();
        
        //album Name
        push();
        translate(0,boxSize/2+rowNum*gapText,0);
        textAlign(CENTER);
        textFont(Gotham);
        textSize(8);
        fill(color[rowNum]);
        text(albumName[rowNum],0,0);
        pop();
    }

}

//draw labels
function drawLabel(){
    
    //title
    push();
    translate(0,-boxSize/2,0);
    fill('white');
    textFont(Gotham);
    textSize(10);
    textAlign(CENTER);
    text("Does Seattle still rock?",0,0);
    pop();
    
    //X-axis year
    push();
    translate(-boxSize/2,boxSize/2,boxSize/2);
    fill('white');
    textSize(10);
    textAlign(CENTER);
    textFont(Gotham);
    for(let i=0;i<10; i++){
        text(startYear+i,cellWidth*i,0);
    }
    pop();
    
    //z -axis month
    push();
    translate(-boxSize/2,boxSize/2,boxSize/2);
    rotateY(-PI/2); ///rotate
    fill('white');
    textSize(10);
    textFont(Gotham);
    for(let i =0; i<12; i++){
        text(i+1,-cellDepth*i,0);
    }
    pop();
    
}
